# TdApi.SetChatMemberStatus

Package it.ernytech.tdlib

## Class TdApi.SetChatMemberStatus

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetChatMemberStatus

Enclosing class:
  TdApi

    public static class TdApi.SetChatMemberStatus
    extends TdApi.Function

Changes the status of a chat member, needs appropriate privileges. This function is currently not suitable for adding new members to the chat; instead, use addChatMember. The chat member status will not be changed until it has been synchronized with the server.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatMemberStatus` `status` The new status of the member in the chat.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`SetChatMemberStatus()` Default constructor.
`SetChatMemberStatus​(long chatId, int userId, TdApi.ChatMemberStatus status)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### userId

    public int userId

User identifier.

#### status

    public TdApi.ChatMemberStatus status

The new status of the member in the chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetChatMemberStatus

    public SetChatMemberStatus()

Default constructor.

#### SetChatMemberStatus

    public SetChatMemberStatus​(long chatId,
                               int userId,
                               TdApi.ChatMemberStatus status)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `userId` - User identifier.
  `status` - The new status of the member in the chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR